Subject: [os2genau_digest] No. 527
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 19 Jan 2003 00:02:02 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 18 January 2003
 Number  527
**************************************************

Subjects for today
 
1  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Michael Peters" <mpeters at austarnet dot com dot au>
2  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Michael Peters" <mpeters at austarnet dot com dot au>
3  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Michael Peters" <mpeters at austarnet dot com dot au>
4  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re: [os2genau] Slightly OT  Sharing internet modem dialup : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Sat, 18 Jan 2003 12:12:43 +1100 (EDT)
From:  "Michael Peters" <mpeters at austarnet dot com dot au>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

Ian,
  How smart ! Your suggestion works and my wife is
currently on to the net TAB and is unaware I am using
my machine on the net out in my office.  I note
however that I now cannot ping my win2000 box
which has another address of course. 
winXP  192.168.0.1 
win2000ts  192.168.0.2
OS2    192.168.0.3
win98  192.168.0.4 .........not on at present
 How do I get the extra routing recognised..

Many thanks,

Mike

On Thu, 16 Jan 2003 15:55:38 +1100 (EDT), Ian Manners wrote:

>Hi Michael
>
>>But I can't get the OS/2 box
>>sharing as a client to the new gateway. I don't
>>have a router. I thought I might have to set up
>>socks in OS/2 but before I did so I wanted to
>>check with the group who work with these
>>problems all the time.
>
>OS/2 just needs its standard TCP/IP loaded, as you
>were previously using it as the gateway I assume this
>is already loaded.
>
>The only changes you need to make should be in
>
>x:\mptn\bin\setup.cmd
>
>route add default 192.168.1.254 -netmask 255.255.255.255 -hopcount 1
>ipgate off
>
>ie, change 192.168.1.254 to the IP of the WinXP machine.
>Also remove anyother 'route' statements, you should only
>have the default route set.
>
>For future info, having 'ipgate on' in the setup.cmd makes
>your OS/2 box a router, you then just need the 'route' statements.
>
>Cheers
>Ian B Manners
>http://www.os2site dot com/
>
>
>Never let an inanimate object know you are in a hurry.

> 

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 18 Jan 2003 12:51:09 +1100 (EDT)
From:  "Michael Peters" <mpeters at austarnet dot com dot au>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

Ed,
  I put those S-register settings in the string and the call
jammed up. On checking my Hayes manual, I think the
S91 setting should be S91=-13 n'est pas? The S9=13
setting is OK. I'll try adding the hyphen later and let you 
know. With electric fences and distance we need all
the help we can get with the modem!

With thanks,

Mike

On Thu, 16 Jan 2003 19:24:45 +1100, Ed Durrant wrote:

>A point on the Modem speed, there are a few settings you can play with to try to
>improve things, try adding S91=13 and S9=13 into the initialisation string, this will
>lift the "volume" of your signal down the phone line and can help a little. If your
>not close to a town with a digital exchange, you're never going to get 56k (and then
>only if your ISP pays Telstra to run his modem links). The best you can realisticaly
>hope for is probably 30k.
>
>Ed.
>
>Michael Peters wrote:
>
>>    Meanwhile, Ed in particular, thank you for the
>> time and detail of the replies. Now that I have
>> explained things a bit better, hopefully, is there
>> something else I should do to get this OS/2 box
>> sharing our 56K (the best we get is 2.8k/sec)
>> modem?
>>
>> With thanks
>>
>> Mike
>>
>
>>  
>
>

> 

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 18 Jan 2003 14:16:35 +1100 (EDT)
From:  "Michael Peters" <mpeters at austarnet dot com dot au>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

Ed,
  You will see from Ian's message that because I did not 
understand the routing setup in tcpipcfg I could not get 
this OS/2 box to share the ICS of the WinXP box. 
  My base protocol setup is taken from Frank Field's famous
paper at MIT because of the Win2000  installation.
It complies with what you have suggested.
As well, I have always used my ISP's nameserver for
anything outside my lan and just put all my machines in
one another's hosts file. Specifically, with WinXP I had
to also specify the output NIC as the DNS provider and
it has to have the address 192.168.0.1. I have to learn
something about the OS/2 setup though... I cant twig to
the lines in the tcpip setup (routing etc>) pages and 
that's why I was trying to print out the help .inf .
  So.... I am sharing with the WinXP modem but I have
now ( if you read my response to Ian) lost the ability to
use DTOC and the TS window to the Win2000 box
from OS/2 and I expect the Win98 box. I'm sure it's
easily solved though. Thank goodness I didn't get into
that socks stuff :-)

Many thanks again,

Mike
On Thu, 16 Jan 2003 19:21:30 +1100, Ed Durrant wrote:

>Hi Michael,
>
>  Well I guess you'd get the answer OS/2 clients aren't supported if you went to
>Microsoft with this problem in their ICS system, this doesn't mean it won't work
>though.
>
> First point - DON'T set up SOCKS - that's not where the problem is. (IMHO).
>
> Second point - Check how many concurrent clients ICS is allowed to support, under
>Windows 98 it was the hosting box plus only two others. I think it's more with XP
>although the Microsoft solution for more than a couple of PC's is to use NAT "propper"
>using M$ routing software that comes with Windows 2000 Server.
>
> The OS/2 PC, now without a modem and only a LAN connection, correct ? Make sure you
>remove the Injoy drivers from MPTS. All you should have "bound" to the LAN card (card
>zero) are the protocols you need, usually TCPIP and possibly Netbios. If you want to
>run Netbeui over IP, that's a whole extra story (it works, both in standards and
>Microsoft style, but it's just a bit tricky to set up if you don't understand how it's
>working).
>
>In TCPCFG2 - make sure you have a compatible IP address assigned (you could try
>setting to DHCP and pick up the address from the XP box later, lets keep it simple for
>now). The IP address that you assign has to be in the same IP network as the other PCs
>on your LAN. To check this go to the win98 box and run WINIPCFG and note down the IP
>address, subnet mask and default router (the dfefault router will be the address of
>the XP box). add 5 (or so) to the IP address number and enter it and the other
>settings into the OS/2 TCPCFG2 configuration program. Also enter the primary and
>secondary DNS entries (also get these from the Win98 box). these should be the DNS
>addresses from your ISP. Save TCPCFG2 settings, restart the OS/2 box and see if it
>works. If not see if you can PING the IP address of the WINXP box and let me know what
>error it returns. If it works you can leave it as is or note down all settings and
>switch to DHCP and try that - if that doesn't work, put the noted settings back in.
>
>Good luck
>
>Cheers/2
>
>Ed.
>
>Michael Peters wrote:
>
>>  I apologise for the errors in my previous mailing on
>> this subject. Let's agree I was having a senior
>> moment :-) .
>>  To reiterate and send the correct message...
>> I have been running a lan here for the past 12
>> months using my OS/2 box as a gateway to the
>> internet. The lan consists of win2000( for
>> terminal server), win98 (for the grandchildrens
>> games) and winXP(my wife's work) and of course
>> the OS/2 box. We use terminal server, DTOC and
>> file/printer sharing. My wife's winXP is now working
>> much more than my OS/2 because we live in a
>> rural area and she does alot of business over the
>> net. So I tried to set her winXP up as the gateway
>> using the inbuilt Internet Connection Sharing (ICS)
>> facility and dropping the OS/2 Injoy NAT and
>> firewall. The Win part I have accomplished thanks
>> to one of those little pamphlets on networking
>> you get at the newsagents. It even covers Linux
>> and Mac sharing. But I can't get the OS/2 box
>> sharing as a client to the new gateway. I don't
>> have a router. I thought I might have to set up
>> socks in OS/2 but before I did so I wanted to
>> check with the group who work with these
>> problems all the time.
>>     Ian says there is an Injoy beta for Windows
>> but I can't find it on the Injoy site. I suppose
>> that's a good way around the problem . I
>> expect it replaces ICS.
>>    Meanwhile, Ed in particular, thank you for the
>> time and detail of the replies. Now that I have
>> explained things a bit better, hopefully, is there
>> something else I should do to get this OS/2 box
>> sharing our 56K (the best we get is 2.8k/sec)
>> modem?
>>
>> With thanks
>>
>> Mike
>>
>
>>  
>
>

> 

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 18 Jan 2003 14:18:31 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

I use S91=13, not with the '-' minus sign but modem configuration is another of those
mystic arts where one thing works for one person but not for another. Some manufactures
didn't implement all the Hayes command set either.

Ed.

Michael Peters wrote:

> Ed,
>   I put those S-register settings in the string and the call
> jammed up. On checking my Hayes manual, I think the
> S91 setting should be S91=-13 n'est pas? The S9=13
> setting is OK. I'll try adding the hyphen later and let you
> know. With electric fences and distance we need all
> the help we can get with the modem!
>
> With thanks,
>
> Mike
>
> On Thu, 16 Jan 2003 19:24:45 +1100, Ed Durrant wrote:
>
> >A point on the Modem speed, there are a few settings you can play with to try to
> >improve things, try adding S91=13 and S9=13 into the initialisation string, this will
> >lift the "volume" of your signal down the phone line and can help a little. If your
> >not close to a town with a digital exchange, you're never going to get 56k (and then
> >only if your ISP pays Telstra to run his modem links). The best you can realisticaly
> >hope for is probably 30k.
> >
> >Ed.
> >
> >Michael Peters wrote:
> >
> >>    Meanwhile, Ed in particular, thank you for the
> >> time and detail of the replies. Now that I have
> >> explained things a bit better, hopefully, is there
> >> something else I should do to get this OS/2 box
> >> sharing our 56K (the best we get is 2.8k/sec)
> >> modem?
> >>
> >> With thanks
> >>
> >> Mike
> >>
> >
> >>  
> >
> >

> > 

>

>  

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sat, 18 Jan 2003 14:41:36 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Slightly OT  Sharing internet modem dialup

I'm sure Ian will come back with the same suggestion. the best way to fault find a comms
problem is to take it step by step.

You say you have lost DTOC and RDC to the W2k server. So lets start with

Check physical connectivity - do all cards have their connection light lit ? if not look
for a cable fault.

Are all cards set to the same speed (ie 10 or 100 Mb/s) ? If not set them the same

and then ...
PING

Ping the windows 2000 box from the OS/2 box BY IP ADDRESS

Ping the OS/2 box from the W2k box BY ADDRESS

What errors occur ?  If you get either unable to reach destination or a similar message,
check that you have both boxes in the same IP network (this is they can see each others
address range - nothing to do with cabling). This range depends upon the subnet mask. You
can define every combination of sub-net mask to perform whats called sub-netting and
super-netting but the simple way that most use is as follows:

Class A  255.0.0.0 - this means the first octet (part) of the IP address of machines that
you want to talk to each other, have to be the same:
  eg 123.1.2.3 WILL talk to 123.4.5.6 but wont talk to 124.1.2.3.

Class B 255.255.0.0 - same principal but in this case the first two octets have to be the
same.

and
Class C (the most common) 255.255.255.0 where the first three octets must match.

What you are looking for is perhaps a machine with address 192.168.1.4 with submet mask
255.255.255.0  and another machine with the address 192.168.1.5 with a subnet mask of
255.255.0.0. These WILL NOT see each other on the network. This is because TCP splits the
address based on the sub-net mask. Think of it like street numbers ....

192.168.1.4 / 255.255.255.0   is street 192.168.1 house number 4

192.168.1.5 / 255.255.0.0 is street 192.168 house number 1 unit 5    (ie on a different
street).

Default route or default gateway is where TCP will go for any address that not on it's
"street" - so 192.168.1.5 / 255.255.0.0 will go to the default gateway looking for an
address such as 69.8.9.23 as it knows it's not on its network. As long as you have the same
subnet masks in use and the appropriate part of the addresses match, the default gateway is
not used for local PC communication.

If the IP based pings all work, then try pinging by machine name, since you're not using a
DNS for local connections, you need to make sure all HOSTS and LMHOSTS files (if used) are
correct. If you were using a DNS you would also need to check that the domian name
extention appended is correct (like the bit of your email address after the  at  symbol). eg
your could call the W2k machine win2000.michaels dot com dot au and the OS/2 box
OS2.michaels dot com dot au. As long as you have defined the domain correctly in the relevant TCPIP
configuration places you could also refer to the two machines as simply win2000 and OS2
respectively - the .michaels dot com dot au would be added automatically.

Hope this clarifies things and helps you sort out this last problem.

Cheers/2

Ed.

Michael Peters wrote:

> Ed,
>   You will see from Ian's message that because I did not
> understand the routing setup in tcpipcfg I could not get
> this OS/2 box to share the ICS of the WinXP box.
>   My base protocol setup is taken from Frank Field's famous
> paper at MIT because of the Win2000  installation.
> It complies with what you have suggested.
> As well, I have always used my ISP's nameserver for
> anything outside my lan and just put all my machines in
> one another's hosts file. Specifically, with WinXP I had
> to also specify the output NIC as the DNS provider and
> it has to have the address 192.168.0.1. I have to learn
> something about the OS/2 setup though... I cant twig to
> the lines in the tcpip setup (routing etc>) pages and
> that's why I was trying to print out the help .inf .
>   So.... I am sharing with the WinXP modem but I have
> now ( if you read my response to Ian) lost the ability to
> use DTOC and the TS window to the Win2000 box
> from OS/2 and I expect the Win98 box. I'm sure it's
> easily solved though. Thank goodness I didn't get into
> that socks stuff :-)
>
> Many thanks again,
>
> Mike
> On Thu, 16 Jan 2003 19:21:30 +1100, Ed Durrant wrote:
>
> >Hi Michael,
> >
> >  Well I guess you'd get the answer OS/2 clients aren't supported if you went to
> >Microsoft with this problem in their ICS system, this doesn't mean it won't work
> >though.
> >
> > First point - DON'T set up SOCKS - that's not where the problem is. (IMHO).
> >
> > Second point - Check how many concurrent clients ICS is allowed to support, under
> >Windows 98 it was the hosting box plus only two others. I think it's more with XP
> >although the Microsoft solution for more than a couple of PC's is to use NAT "propper"
> >using M$ routing software that comes with Windows 2000 Server.
> >
> > The OS/2 PC, now without a modem and only a LAN connection, correct ? Make sure you
> >remove the Injoy drivers from MPTS. All you should have "bound" to the LAN card (card
> >zero) are the protocols you need, usually TCPIP and possibly Netbios. If you want to
> >run Netbeui over IP, that's a whole extra story (it works, both in standards and
> >Microsoft style, but it's just a bit tricky to set up if you don't understand how it's
> >working).
> >
> >In TCPCFG2 - make sure you have a compatible IP address assigned (you could try
> >setting to DHCP and pick up the address from the XP box later, lets keep it simple for
> >now). The IP address that you assign has to be in the same IP network as the other PCs
> >on your LAN. To check this go to the win98 box and run WINIPCFG and note down the IP
> >address, subnet mask and default router (the dfefault router will be the address of
> >the XP box). add 5 (or so) to the IP address number and enter it and the other
> >settings into the OS/2 TCPCFG2 configuration program. Also enter the primary and
> >secondary DNS entries (also get these from the Win98 box). these should be the DNS
> >addresses from your ISP. Save TCPCFG2 settings, restart the OS/2 box and see if it
> >works. If not see if you can PING the IP address of the WINXP box and let me know what
> >error it returns. If it works you can leave it as is or note down all settings and
> >switch to DHCP and try that - if that doesn't work, put the noted settings back in.
> >
> >Good luck
> >
> >Cheers/2
> >
> >Ed.
> >
> >Michael Peters wrote:
> >
> >>  I apologise for the errors in my previous mailing on
> >> this subject. Let's agree I was having a senior
> >> moment :-) .
> >>  To reiterate and send the correct message...
> >> I have been running a lan here for the past 12
> >> months using my OS/2 box as a gateway to the
> >> internet. The lan consists of win2000( for
> >> terminal server), win98 (for the grandchildrens
> >> games) and winXP(my wife's work) and of course
> >> the OS/2 box. We use terminal server, DTOC and
> >> file/printer sharing. My wife's winXP is now working
> >> much more than my OS/2 because we live in a
> >> rural area and she does alot of business over the
> >> net. So I tried to set her winXP up as the gateway
> >> using the inbuilt Internet Connection Sharing (ICS)
> >> facility and dropping the OS/2 Injoy NAT and
> >> firewall. The Win part I have accomplished thanks
> >> to one of those little pamphlets on networking
> >> you get at the newsagents. It even covers Linux
> >> and Mac sharing. But I can't get the OS/2 box
> >> sharing as a client to the new gateway. I don't
> >> have a router. I thought I might have to set up
> >> socks in OS/2 but before I did so I wanted to
> >> check with the group who work with these
> >> problems all the time.
> >>     Ian says there is an Injoy beta for Windows
> >> but I can't find it on the Injoy site. I suppose
> >> that's a good way around the problem . I
> >> expect it replaces ICS.
> >>    Meanwhile, Ed in particular, thank you for the
> >> time and detail of the replies. Now that I have
> >> explained things a bit better, hopefully, is there
> >> something else I should do to get this OS/2 box
> >> sharing our 56K (the best we get is 2.8k/sec)
> >> modem?
> >>
> >> With thanks
> >>
> >> Mike
> >>
> >
> >>  
> >
> >

> > 

>

>  

----------------------------------------------------------------------------------